<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>6. lekce</title>
</head>
<body>
    <style>
        .square {
            width: 200px;
            height: 200px;
            background-color: brown;
        }

        .active {
            outline: 20px solid rebeccapurple;
        }

        .clicked {
            background-color: black;
        }
    </style>
    
    <div id="root">
        <h1>Nadpis 1</h1>

        <h2 class="heading2">Podnadpis</h2>
        <p>Nejaky text</p>

        <h2 class="heading2">Podnadpis 2</h2>
        <p>Nejaky text 2</p>

        <div
            id="first-square"
            class="square"
            onclick="onClick();"
            onmouseenter="onMouseEnter();"
            onmouseleave="onMouseLeave();">
        </div>
    </div>

    <script>
        // opakovani
        const h1 = document.getElementById("root");
        const h1_1 = document.getElementsByTagName("div");
        const allClasses = document.getElementsByClassName("heading2");
        //console.log(h1, h1_1, allClasses);
        //let moveRight = 0;

        function getFirstSquare() {
            return document.getElementById("first-square");
        }

        function onClick() {
            //moveRight = moveRight + 10;
            //jednodussi zapis
            //moveRight += 10;
            //console.log(moveRight);

            //vlozime k prvnimu elementu square tridu active,
            //zavolam funcki ktera mi vrati element
            const firstSquare = getFirstSquare();
        
            if (firstSquare.classList.contains("clicked")) {
                firstSquare.classList.remove("clicked");
            } else {
                firstSquare.classList.add("clicked");
            }
        }

        function onMouseEnter() {
            const firstSquare = getFirstSquare();
            firstSquare.classList.add("active");   
        }

        function onMouseLeave() {
            const firstSquare = getFirstSquare();
            firstSquare.classList.remove("active");  
        }
    </script>


</body>
</html>